# Get a conversation

`GET /api/v1/whatsapp/chats/{id}`

v92 (beta): `chat`, `messages` (oldest to newest; `id`, `direction` in · out, `type`, `text`, `has_media`, `media_name`, `template`, `status` — pending · sent · delivered · read · failed · received, `status_label`, `error`, `at`, `by`), `more`, `templates` (templates approved at Meta: `name`, `category`, `language`, `variables`, `body`). The first page resets the unread count.

## Path parameters

| Field | Type | Description |
|---|---|---|
| `id` (required) | integer | Conversation id. |

## Query parameters

| Field | Type | Description |
|---|---|---|
| `before` | integer | Messages older than this message id. |
| `limit` | integer | Messages (1–200). |
